> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List TPRM Findings



## OpenAPI

````yaml get /tprm/findings
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /tprm/findings:
    get:
      tags:
        - tprm
        - findings
      summary: List TPRM Findings
      operationId: get_findings
      parameters:
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort
        - name: companyId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Company Filter, comma separated
            title: Companyid
          description: Company Filter, comma separated
          example: >-
            123e4567-e89b-12d3-a456-426614174000,
            123e4567-e89b-12d3-a456-426614174001
        - name: severity
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by severity (comma-separated list, e.g., 'CRITICAL,HIGH')
            title: Severity
          description: Filter by severity (comma-separated list, e.g., 'CRITICAL,HIGH')
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by status (comma-separated list, e.g., 'OPEN,REOPENED')
            title: Status
          description: Filter by status (comma-separated list, e.g., 'OPEN,REOPENED')
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by type (comma-separated list)
            title: Type
          description: Filter by type (comma-separated list)
        - name: vendorFindingType
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter by vendor finding type (comma-separated list, e.g.,
              'websitesecurity')
            title: Vendorfindingtype
          description: >-
            Filter by vendor finding type (comma-separated list, e.g.,
            'websitesecurity')
        - name: firstSeenSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by findings first seen after this date
            title: Firstseensince
          description: Filter by findings first seen after this date
        - name: stateUpdatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by findings state updated after this date
            title: Stateupdatedsince
          description: Filter by findings state updated after this date
        - name: lastSeenSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by findings last seen after this date
            title: Lastseensince
          description: Filter by findings last seen after this date
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
          example: '2021-01-01T00:00:00+00:00'
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/KeySetPaginatedResponse_TPRMFindingKBRespModel_
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    KeySetPaginatedResponse_TPRMFindingKBRespModel_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TPRMFindingKBRespModel'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[TPRMFindingKBRespModel]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    TPRMFindingKBRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the finding
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: The title or name of the finding
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: The description of the finding
        type:
          type: string
          title: Type
          description: The type of the finding
        severity:
          anyOf:
            - $ref: '#/components/schemas/FindingSeverityEnum'
            - type: 'null'
          description: The severity of the finding
        status:
          anyOf:
            - $ref: '#/components/schemas/FindingStatusEnum'
            - type: 'null'
          description: The status of the finding
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
          description: The domain of the finding
        asset_type:
          type: string
          title: Asset Type
          description: The asset type of the finding
        asset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset Id
          description: The asset ID of the finding
        first_seen:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Seen
          description: The first seen time of the finding
        last_seen:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Seen
          description: The last seen time of the finding
        connection_attributes:
          anyOf:
            - $ref: '#/components/schemas/ConnectionAttributesModel'
            - type: 'null'
          description: The connection attributes of the finding
        evidence:
          anyOf:
            - type: object
            - type: 'null'
          title: Evidence
          description: The evidence of the finding
        remediation:
          anyOf:
            - type: string
            - type: 'null'
          title: Remediation
          description: The remediation of the finding
        provider_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Name
          description: The provider name of the finding
        company:
          anyOf:
            - $ref: '#/components/schemas/TPRMCompanyKBRespModel'
            - type: 'null'
          description: The ID of the company associated with the finding
        vendor_attributes:
          anyOf:
            - $ref: '#/components/schemas/TPRMFindingKnowledgeBaseVendorData'
            - type: 'null'
          description: The vendor data of the finding
        ticket:
          anyOf:
            - $ref: '#/components/schemas/FindingTicketModel'
            - type: 'null'
          description: The ticket of the finding
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: The creation time of the finding
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: The update time of the finding
        status_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Status Updated At
          description: The status update time of the finding
      type: object
      required:
        - id
        - description
        - title
        - type
        - severity
        - status
        - domain
        - asset_type
        - asset_id
        - first_seen
        - last_seen
        - connection_attributes
        - evidence
        - remediation
        - provider_name
        - company
        - vendor_attributes
        - ticket
        - created_at
        - updated_at
        - status_updated_at
      title: TPRMFindingKBRespModel
    FindingSeverityEnum:
      type: string
      enum:
        - CRITICAL
        - HIGH
        - MEDIUM
        - LOW
        - INFO
        - UNKNOWN
      title: FindingSeverityEnum
    FindingStatusEnum:
      type: string
      enum:
        - OPEN
        - IGNORED
        - DELETED
        - CLOSED
        - UNKNOWN
      title: FindingStatusEnum
    ConnectionAttributesModel:
      properties:
        ports:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Ports
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Observed Ips
      type: object
      title: ConnectionAttributesModel
    TPRMCompanyKBRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the tprm company
        name:
          type: string
          title: Name
          description: The name of the company
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
          description: The domain of the company
        score:
          anyOf:
            - $ref: '#/components/schemas/ScoreModel'
            - type: 'null'
          description: The score of the company
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
          description: The industry of the company
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
          description: The size of the company
        date_added:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Date Added
          description: The date the company was added
        compliance_claimed:
          anyOf:
            - items:
                $ref: '#/components/schemas/ComplianceClaimedModel'
              type: array
            - type: 'null'
          title: Compliance Claimed
          description: The compliance claimed by the company
        vendor_attributes:
          anyOf:
            - $ref: '#/components/schemas/TPRMCompanyKnowledgeBaseVendorAttributes'
            - type: 'null'
          description: The vendor attributes of the company
        related_portfolios:
          items:
            $ref: '#/components/schemas/RelatedPortfolioModel'
          type: array
          title: Related Portfolios
          description: The related portfolios of the company
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: The date the company was updated
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: The date the company was created
      type: object
      required:
        - id
        - name
        - domain
        - score
        - industry
        - size
        - date_added
        - compliance_claimed
        - vendor_attributes
        - related_portfolios
        - updated_at
        - created_at
      title: TPRM Company
    TPRMFindingKnowledgeBaseVendorData:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Vendor-reported ID of the tprm finding
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Vendor-reported type of the tprm finding
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Vendor-reported state of the tprm finding
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
          description: Vendor-reported severity of the tprm finding
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Timestamp when the vendor first created the finding
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Timestamp when the vendor last updated the finding
        data:
          anyOf:
            - $ref: '#/components/schemas/BlackkiteFindingVendorData'
            - $ref: '#/components/schemas/BitSightFindingVendorData'
            - $ref: >-
                #/components/schemas/SecurityScorecardTPRMFindingVendorAttributes
            - type: 'null'
          title: Data
      type: object
      required:
        - id
      title: TPRMFindingKnowledgeBaseVendorData
    FindingTicketModel:
      properties:
        ticket_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Ticket Id
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        owner:
          anyOf:
            - type: string
            - type: 'null'
          title: Owner
      type: object
      title: FindingTicketModel
    ScoreModel:
      properties:
        rating:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rating
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        factors:
          items:
            $ref: '#/components/schemas/ScoreFactorModel'
          type: array
          title: Factors
          default: []
      type: object
      title: ScoreModel
    ComplianceClaimedModel:
      properties:
        standard:
          type: string
          title: Standard
        last_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated At
      type: object
      required:
        - standard
      title: ComplianceClaimedModel
    TPRMCompanyKnowledgeBaseVendorAttributes:
      properties:
        id:
          type: string
          title: Id
          description: vendor-reported company ID
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Timestamp when the vendor first created the company
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Timestamp when the vendor last updated the company
        data:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteTPRMCompanyVendorData'
            - $ref: '#/components/schemas/SecurityScorecardTPRMCompanyVendorData'
            - $ref: '#/components/schemas/BitSightTPRMCompanyVendorData'
            - type: 'null'
          title: Data
      type: object
      required:
        - id
      title: TPRMCompanyKnowledgeBaseVendorAttributes
    RelatedPortfolioModel:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: RelatedPortfolioModel
    BlackkiteFindingVendorData:
      properties:
        finding_data:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteInformationDisclosureVendorData'
            - $ref: '#/components/schemas/BlackKiteSSLTLSStrengthVendorData'
            - $ref: '#/components/schemas/BlackKiteDDOSResiliencySecurityVendorData'
            - $ref: '#/components/schemas/BlackKiteNetworkSecurityVendorData'
            - $ref: '#/components/schemas/BlackKiteEmailSecurityVendorData'
            - $ref: '#/components/schemas/BlackKiteDNSHealthVendorData'
            - $ref: >-
                #/components/schemas/BlackKiteTPRMFindingApplicationSecurityVendorData
            - $ref: '#/components/schemas/BlackKiteTPRMFraudulentDomainVendorData'
            - $ref: >-
                #/components/schemas/BlackKiteTPRMFindingCredentialManagementVendorData
            - $ref: '#/components/schemas/BlackKiteTPRMFindingIPReputationVendorData'
            - $ref: '#/components/schemas/BlackKiteTPRMFindingAttackSurfaceVendorData'
            - $ref: >-
                #/components/schemas/BlackKiteTPRMFindingFraudulentAppsVendorData
            - $ref: >-
                #/components/schemas/BlackKiteTPRMFindingHacktivistSharesVendorData
            - $ref: '#/components/schemas/BlackKiteTPRMFindingSocialNetworkVendorData'
            - $ref: >-
                #/components/schemas/BlackKiteTPRMFindingBrandMonitoringVendorData
            - $ref: '#/components/schemas/BlackKiteTPRMWebRankingVendorData'
            - $ref: >-
                #/components/schemas/BlackKiteTPRMWebRankingWCAGParsingComplianceVendorData
            - $ref: '#/components/schemas/BlackKiteTPRMWebSecurityVendorData'
            - $ref: '#/components/schemas/BlackKiteTPRMCDNSecurityVendorData'
          title: Finding Data
      type: object
      required:
        - finding_data
      title: BlackkiteFindingVendorData
    BitSightFindingVendorData:
      properties:
        finding_data:
          anyOf:
            - $ref: '#/components/schemas/BitSightBotnetInfectionsFindingVendorData'
            - $ref: '#/components/schemas/BitSightDesktopSoftwareFindingVendorData'
            - $ref: '#/components/schemas/BitSightMobileSoftwareFindingVendorData'
            - $ref: '#/components/schemas/BitSightSPFFindingVendorData'
            - $ref: '#/components/schemas/BitSightDKIMFindingVendorData'
            - $ref: '#/components/schemas/BitSightSSLConfigurationsFindingVendorData'
            - $ref: '#/components/schemas/BitSightSSLCertificatesFindingVendorData'
            - $ref: '#/components/schemas/BitSightOpenPortsFindingVendorData'
            - $ref: '#/components/schemas/BitSightWebAppSecFindingVendorData'
            - $ref: '#/components/schemas/BitSightDNSSECFindingVendorData'
            - $ref: >-
                #/components/schemas/BitSightApplicationSecurityFindingVendorData
            - $ref: '#/components/schemas/BitSightDMARCFindingVendorData'
            - $ref: '#/components/schemas/BitSightFileSharingFindingVendorData'
            - $ref: '#/components/schemas/BitSightServerSoftwareFindingVendorData'
            - $ref: '#/components/schemas/BitSightInsecureSystemsFindingVendorData'
            - $ref: >-
                #/components/schemas/BitSightPotentiallyExploitedFindingVendorData
            - $ref: '#/components/schemas/BitSightUnsolicitedCommFindingVendorData'
            - $ref: '#/components/schemas/BitSightSpamPropagationFindingVendorData'
            - $ref: '#/components/schemas/BitSightMalwareServersFindingVendorData'
            - $ref: >-
                #/components/schemas/BitSightMobileApplicationSecurityFindingVendorData
            - type: 'null'
          title: Finding Data
      type: object
      title: BitSightFindingVendorData
    SecurityScorecardTPRMFindingVendorAttributes:
      properties:
        related_info:
          anyOf:
            - type: object
            - type: 'null'
          title: Related Info
      type: object
      title: SecurityScorecardTPRMFindingVendorAttributes
    ScoreFactorModel:
      properties:
        name:
          type: string
          title: Name
        rating:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rating
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
      type: object
      required:
        - name
      title: ScoreFactorModel
    BlackKiteTPRMCompanyVendorData:
      properties:
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        dashboard_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Dashboard Link
        strategy_report_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Strategy Report Url
      type: object
      title: BlackKiteTPRMCompanyVendorData
    SecurityScorecardTPRMCompanyVendorData:
      properties:
        monitored:
          type: boolean
          title: Monitored
        lifecycle_status:
          type: string
          title: Lifecycle Status
        last_month_score_change:
          type: number
          title: Last Month Score Change
        last_30_days_breach_count:
          type: number
          title: Last 30 Days Breach Count
        tags:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Tags
      type: object
      required:
        - monitored
        - lifecycle_status
        - last_month_score_change
        - last_30_days_breach_count
      title: SecurityScorecardTPRMCompanyVendorData
    BitSightTPRMCompanyVendorData:
      properties:
        display_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Url
      type: object
      title: BitSightTPRMCompanyVendorData
    BlackKiteInformationDisclosureVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BlackKiteInformationDisclosureVendorData
    BlackKiteSSLTLSStrengthVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BlackKiteSSLTLSStrengthVendorData
    BlackKiteDDOSResiliencySecurityVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BlackKiteDDOSResiliencySecurityVendorData
    BlackKiteNetworkSecurityVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BlackKiteNetworkSecurityVendorData
    BlackKiteEmailSecurityVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BlackKiteEmailSecurityVendorData
    BlackKiteDNSHealthVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BlackKiteDNSHealthVendorData
    BlackKiteTPRMFindingApplicationSecurityVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BlackKiteTPRMFindingApplicationSecurityVendorData
    BlackKiteTPRMFraudulentDomainVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        fraudulent_domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Fraudulent Domain
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        registrar:
          anyOf:
            - type: string
            - type: 'null'
          title: Registrar
        registrant:
          anyOf:
            - type: string
            - type: 'null'
          title: Registrant
        create_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Create Date
        expire_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Expire Date
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        possibility:
          anyOf:
            - type: string
            - type: 'null'
          title: Possibility
        levenshtein_ratio:
          anyOf:
            - type: string
            - type: 'null'
          title: Levenshtein Ratio
      type: object
      title: BlackKiteTPRMFraudulentDomainVendorData
    BlackKiteTPRMFindingCredentialManagementVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        emailor_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailor Username
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        leak_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Leak Date
        leak_info:
          anyOf:
            - type: string
            - type: 'null'
          title: Leak Info
        password_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Password Type
      type: object
      title: BlackKiteTPRMFindingCredentialManagementVendorData
    BlackKiteTPRMFindingIPReputationVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        first_listing_date:
          anyOf:
            - type: string
            - type: 'null'
          title: First Listing Date
        listing_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Listing Url
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        report_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Date
        reputation_listings:
          items:
            $ref: '#/components/schemas/BlackKiteReputation'
          type: array
          title: Reputation Listings
      type: object
      required:
        - reputation_listings
      title: BlackKiteTPRMFindingIPReputationVendorData
    BlackKiteTPRMFindingAttackSurfaceVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        risk_score:
          anyOf:
            - type: string
            - type: 'null'
          title: Risk Score
        ports:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ports
        protocols:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Protocols
        risk:
          anyOf:
            - type: string
            - type: 'null'
          title: Risk
      type: object
      title: BlackKiteTPRMFindingAttackSurfaceVendorData
    BlackKiteTPRMFindingFraudulentAppsVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        screenshot_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Screenshot Url
        finding_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Finding Title
        application_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Application Url
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        package:
          anyOf:
            - type: string
            - type: 'null'
          title: Package
      type: object
      title: BlackKiteTPRMFindingFraudulentAppsVendorData
    BlackKiteTPRMFindingHacktivistSharesVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        finding_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Finding Title
        screenshot_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Screenshot Url
        share_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Share Url
        risk_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Risk Level
        snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Snippet
        exploit:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteExploit'
            - type: 'null'
      type: object
      title: BlackKiteTPRMFindingHacktivistSharesVendorData
    BlackKiteTPRMFindingSocialNetworkVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        finding_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Finding Title
        screenshot_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Screenshot Url
        share_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Share Url
        risk_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Risk Level
        snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Snippet
      type: object
      title: BlackKiteTPRMFindingSocialNetworkVendorData
    BlackKiteTPRMFindingBrandMonitoringVendorData:
      properties:
        web_of_trust:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteWebOfTrust'
            - type: 'null'
        website_optimization_and_quality:
          anyOf:
            - items:
                $ref: '#/components/schemas/BlackKiteWebsiteOptimizationAndQuality'
              type: array
            - type: 'null'
          title: Website Optimization And Quality
      type: object
      title: BlackKiteTPRMFindingBrandMonitoringVendorData
    BlackKiteTPRMWebRankingVendorData:
      properties:
        google_page_speed_insight_performance_findings:
          anyOf:
            - $ref: >-
                #/components/schemas/BlackKiteGooglePageSpeedInsightPerformanceFindings
            - type: 'null'
        rankings:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteRankings'
            - type: 'null'
      type: object
      title: BlackKiteTPRMWebRankingVendorData
    BlackKiteTPRMWebRankingWCAGParsingComplianceVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        severity:
          anyOf:
            - type: string
            - type: 'null'
          title: Severity
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
      type: object
      title: BlackKiteTPRMWebRankingWCAGParsingComplianceVendorData
    BlackKiteTPRMWebSecurityVendorData:
      properties:
        ssl_tls_strength:
          anyOf:
            - type: string
            - type: 'null'
          title: Ssl Tls Strength
        performance:
          anyOf:
            - type: string
            - type: 'null'
          title: Performance
        security_headers:
          anyOf:
            - type: string
            - type: 'null'
          title: Security Headers
        patch_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Patch Level
        code_quality:
          anyOf:
            - type: string
            - type: 'null'
          title: Code Quality
        security_header_related_control_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Security Header Related Control Ids
        possible_vulnerabilities_related_control_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Possible Vulnerabilities Related Control Ids
        latest_screenshot_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Screenshot Url
        code_quality_control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Code Quality Control Id
        code_quality_findings:
          anyOf:
            - items:
                $ref: '#/components/schemas/BlackKiteCodeQualityFinding'
              type: array
            - type: 'null'
          title: Code Quality Findings
      type: object
      title: BlackKiteTPRMWebSecurityVendorData
    BlackKiteTPRMCDNSecurityVendorData:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
        section:
          anyOf:
            - type: string
            - type: 'null'
          title: Section
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        component:
          anyOf:
            - type: string
            - type: 'null'
          title: Component
        asset:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset
        host_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Host Name
        host_name_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Host Name Type
        cves:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cves
        references:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: References
      type: object
      title: BlackKiteTPRMCDNSecurityVendorData
    BitSightBotnetInfectionsFindingVendorData:
      properties:
        pcap_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pcap Id
        infection:
          anyOf:
            - $ref: '#/components/schemas/BitSightBotnetInfections'
            - type: 'null'
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        detection_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Detection Method
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        sinkhole_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip
        sinkhole_ip_masked:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip Masked
        src_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src Port
      type: object
      title: BitSightBotnetInfectionsFindingVendorData
    BitSightDesktopSoftwareFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        estimation_of_users:
          anyOf:
            - type: string
            - type: 'null'
          title: Estimation Of Users
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        operating_system_family:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Family
        operating_system_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Grade
        operating_system_support_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Support Status
        operating_system_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Version
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        user_agent_family:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Family
        user_agent_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Grade
        user_agent_support_status:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Support Status
        user_agent_version:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Version
      type: object
      title: BitSightDesktopSoftwareFindingVendorData
    BitSightMobileSoftwareFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        estimation_of_users:
          anyOf:
            - type: string
            - type: 'null'
          title: Estimation Of Users
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        operating_system_family:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Family
        operating_system_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Grade
        operating_system_support_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Support Status
        operating_system_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Operating System Version
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        user_agent_family:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Family
        user_agent_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Grade
        user_agent_support_status:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Support Status
        user_agent_version:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent Version
      type: object
      title: BitSightMobileSoftwareFindingVendorData
    BitSightSPFFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      type: object
      title: BitSightSPFFindingVendorData
    BitSightDKIMFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      type: object
      title: BitSightDKIMFindingVendorData
    BitSightSSLConfigurationsFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
      type: object
      title: BitSightSPFFindingVendorData
    BitSightSSLCertificatesFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        attributed_observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Attributed Observed Ips
      type: object
      title: BitSightSPFFindingVendorData
    BitSightOpenPortsFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
      type: object
      title: BitSightOpenPortsFindingVendorData
    BitSightWebAppSecFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        failed_evidence:
          anyOf:
            - type: integer
            - type: 'null'
          title: Failed Evidence
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Observed Ips
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        assessment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Assessment Name
        scan_target:
          anyOf:
            - type: string
            - type: 'null'
          title: Scan Target
      type: object
      title: BitSightWebAppSecFindingVendorData
    BitSightDNSSECFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      type: object
      title: BitSightDNSSECFindingVendorData
    BitSightApplicationSecurityFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Observed Ips
      type: object
      title: BitSightApplicationSecurityFindingVendorData
    BitSightDMARCFindingVendorData:
      properties:
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      type: object
      title: BitSightDMARCFindingVendorData
    BitSightFileSharingFindingVendorData:
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        src_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src Port
        torrent_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Torrent Hash
        trt_bs_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Trt Bs Category
      type: object
      title: BitSightFileSharingFindingVendorData
    BitSightServerSoftwareFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Observed Ips
        port_list:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Port List
        remediations:
          anyOf:
            - items:
                $ref: '#/components/schemas/BitSightRemediation'
              type: array
            - type: 'null'
          title: Remediations
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      type: object
      title: BitSightServerSoftwareFindingVendorData
    BitSightInsecureSystemsFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        server_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Name
        src_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src Port
        user_agent:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent
      type: object
      title: BitSightInsecureSystemsFindingVendorData
    BitSightPotentiallyExploitedFindingVendorData:
      properties:
        infection:
          anyOf:
            - $ref: '#/components/schemas/BitSightPotentiallyExploitedInfections'
            - type: 'null'
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        detection_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Detection Method
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        sinkhole_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip
        sinkhole_ip_masked:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip Masked
        src_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src Port
        server_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Name
      type: object
      title: BitSightPotentiallyExploitedFindingVendorData
    BitSightUnsolicitedCommFindingVendorData:
      properties:
        infection:
          anyOf:
            - $ref: '#/components/schemas/BitSightUnsolicitedCommInfections'
            - type: 'null'
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        detection_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Detection Method
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
        sinkhole_ip:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip
        sinkhole_ip_masked:
          anyOf:
            - type: string
            - type: 'null'
          title: Sinkhole Ip Masked
        src_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Src Port
      type: object
      title: BitSightUnsolicitedCommFindingVendorData
    BitSightSpamPropagationFindingVendorData:
      properties:
        detection_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Detection Method
        email_from_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Email From Address
        sender_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Email
        subject:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject
      type: object
      title: BitSightSpamPropagationFindingVendorData
    BitSightMalwareServersFindingVendorData:
      properties:
        server_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Server Name
        portal_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Portal Type
      type: object
      title: BitSightMalwareServersFindingVendorData
    BitSightMobileApplicationSecurityFindingVendorData:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        dest_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dest Port
        diligence_annotations:
          anyOf:
            - type: object
            - type: 'null'
          title: Diligence Annotations
        final_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Final Location
        geo_ip_location:
          anyOf:
            - type: string
            - type: 'null'
          title: Geo Ip Location
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
        observed_ips:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Observed Ips
        rollup_end_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup End Date
        rollup_start_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollup Start Date
      type: object
      title: BitSightMobileApplicationSecurityFindingVendorData
    BlackKiteReputation:
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        date:
          anyOf:
            - type: string
            - type: 'null'
          title: Date
      type: object
      title: BlackKiteReputation
    BlackKiteExploit:
      properties:
        source:
          anyOf:
            - type: string
            - type: 'null'
          title: Source
        exploitability_score:
          anyOf:
            - type: string
            - type: 'null'
          title: Exploitability Score
        cve_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cve Id
        cvss:
          anyOf:
            - type: string
            - type: 'null'
          title: Cvss
        cwe_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cwe Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      title: BlackKiteExploit
    BlackKiteWebOfTrust:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        vendor_reliability:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteWebScoreAndGrade'
            - type: 'null'
        child_safety:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteWebScoreAndGrade'
            - type: 'null'
        trustworthiness:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteWebScoreAndGrade'
            - type: 'null'
        privacy:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteWebScoreAndGrade'
            - type: 'null'
      type: object
      title: WebOfTrust
    BlackKiteWebsiteOptimizationAndQuality:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      title: BlackKiteWebsiteOptimizationAndQuality
    BlackKiteGooglePageSpeedInsightPerformanceFindings:
      properties:
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
        desktop_speed_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Desktop Speed Grade
        mobile_speed_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile Speed Grade
        mobile_usability_grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile Usability Grade
        findings:
          anyOf:
            - items:
                $ref: >-
                  #/components/schemas/BlackKiteGooglePageSpeedInsightPerformanceFindingsList
              type: array
            - type: 'null'
          title: Findings
      type: object
      title: BlackKiteGooglePageSpeedInsightPerformanceFindings
    BlackKiteRankings:
      properties:
        alexa_ranking_and_trend:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteRankingAndTrend'
            - type: 'null'
        cisco_ranking_and_trend:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteRankingAndTrend'
            - type: 'null'
        majestic_ranking_and_trend:
          anyOf:
            - $ref: '#/components/schemas/BlackKiteRankingAndTrend'
            - type: 'null'
        web_rank_country_image:
          anyOf:
            - type: string
            - type: 'null'
          title: Web Rank Country Image
      type: object
      title: Rankings
    BlackKiteCodeQualityFinding:
      properties:
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
      type: object
      title: BlackKiteCodeQualityFinding
    BitSightBotnetInfections:
      properties:
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        references:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: References
      type: object
      title: BitSightBotnetInfections
    BitSightRemediation:
      properties:
        message:
          type: string
          title: Message
        help_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Text
        remediation_tip:
          anyOf:
            - type: string
            - type: 'null'
          title: Remediation Tip
      type: object
      required:
        - message
      title: BitSightRemediation
    BitSightPotentiallyExploitedInfections:
      properties:
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        references:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: References
      type: object
      title: PotentiallyExploitedInfections
    BitSightUnsolicitedCommInfections:
      properties:
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        references:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: References
      type: object
      title: UnsolicitedCommInfections
    BlackKiteWebScoreAndGrade:
      properties:
        score:
          anyOf:
            - type: string
            - type: 'null'
          title: Score
        grade:
          anyOf:
            - type: string
            - type: 'null'
          title: Grade
      type: object
      title: BlackKiteWebScoreAndGrade
    BlackKiteGooglePageSpeedInsightPerformanceFindingsList:
      properties:
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        references:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: References
      type: object
      title: BlackKiteGooglePageSpeedInsightPerformanceFindingsList
    BlackKiteRankingAndTrend:
      properties:
        rank:
          anyOf:
            - type: string
            - type: 'null'
          title: Rank
        trend_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Trend Image Url
        control_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Control Id
      type: object
      title: BlackKiteRankingAndTrend
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````